import 'package:dartz/dartz.dart';
import '../../repositories/model_repository.dart';
import '../../../core/errors/failures.dart';
import '../base_usecase.dart';

/// 모델 삭제 UseCase
class DeleteModelUseCase extends UseCase<void, int> {
  final ModelRepository _modelRepository;

  DeleteModelUseCase(this._modelRepository);

  @override
  Future<Either<Failure, void>> call(int id) async {
    return await _modelRepository.deleteModel(id);
  }
}